org.keycloak.models.cache.infinispan.authorization.entities

## Class PermissionTicketResourceListQuery

- java.lang.Object
- - org.keycloak.models.cache.infinispan.entities.AbstractRevisioned
  - - org.keycloak.models.cache.infinispan.authorization.entities.PermissionTicketListQuery
    - - org.keycloak.models.cache.infinispan.authorization.entities.PermissionTicketResourceListQuery

- All Implemented Interfaces:
    Serializable, CachedObject, InResource, InResourceServer, PermissionTicketQuery, Revisioned

      public class PermissionTicketResourceListQuery
      extends PermissionTicketListQuery
      implements InResource

  Author:
    Pedro Igor
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionTicketResourceListQuery(Long revision, String id, String resourceId, Set<String> permissions, String serverId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getResourceId()`
    `boolean` | `isInvalid(Set<String> invalidations)`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.authorization.entities.PermissionTicketListQuery

      `getPermissions, getResourceServerId`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.entities.AbstractRevisioned

      `getCacheTimestamp, getId, getRevision, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.cache.infinispan.entities.Revisioned

      `getId, getRevision, setRevision`

- - ### Constructor Detail

    - #### PermissionTicketResourceListQuery

          public PermissionTicketResourceListQuery(Long revision,
                                                   String id,
                                                   String resourceId,
                                                   Set<String> permissions,
                                                   String serverId)

  - ### Method Detail

    - #### isInvalid

          public boolean isInvalid(Set<String> invalidations)

      Specified by:
        `isInvalid` in interface `PermissionTicketQuery`
      Overrides:
        `isInvalid` in class `PermissionTicketListQuery`

    - #### getResourceId

          public String getResourceId()

      Specified by:
        `getResourceId` in interface `InResource`

Copyright © 2021 JBoss by Red Hat. All rights reserved.